Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class CurveBoundaryImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.BoundaryImpl
              org.deegree.model.spatialschema.PrimitiveBoundaryImpl
                  org.deegree.model.spatialschema.CurveBoundaryImpl

All Implemented Interfaces:
  Serializable, Boundary, CurveBoundary, Geometry, PrimitiveBoundary

    public class CurveBoundaryImpl

extends PrimitiveBoundaryImpl
implements CurveBoundary, Serializable

default implementation of the CurveBoundary interface from package deegree.model.spatialschema.

------------------------------------------------------------

Version:
  10.6.2001
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `CurveBoundaryImpl(CoordinateSystem crs, Position sp, Position ep)` constructor of curve_boundary with CS_CoordinateSystem and startpoint and endpoint

Method Summary
`protected void` | `calculateParam()` calculates the envelope of the curve boundary
`Object` | `clone()`
`boolean` | `equals(Object other)` checks if this curve is completely equal to the submitted geometry
`int` | `getCoordinateDimension()` The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.
`int` | `getDimension()` The operation "dimension" shall return the inherent dimension of this Geometry, which shall be less than or equal to the coordinate dimension.
`Position` | `getEndPoint()` returns the EndPoint of the boundary
`Position` | `getStartPoint()` returns the StartPoint of the boundary
`boolean` | `intersects(Geometry gmo)` The Boolean valued operation "intersects" shall return TRUE if this Geometry intersects another Geometry.
`String` | `toString()`

Methods inherited from class org.deegree.model.spatialschema.BoundaryImpl
`isCycle`

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, isEmpty, isValid, isWithinDistance, setCoordinateSystem, setEmpty, setTolerance, setValid, translate, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.Boundary
`isCycle`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, isEmpty, isWithinDistance, setTolerance, translate, union`

Constructor Detail

### CurveBoundaryImpl

    protected CurveBoundaryImpl(CoordinateSystem crs,
                                Position sp,
                                Position ep)

  constructor of curve_boundary with CS_CoordinateSystem and startpoint and endpoint

  Parameters:
    `crs` -
    `sp` -
    `ep` -

Method Detail

### getDimension

    public int getDimension()

  The operation "dimension" shall return the inherent dimension of this Geometry, which shall be less than or equal to the coordinate dimension. The dimension of a collection of geometric objects shall be the largest dimension of any of its pieces. Points are 0-dimensional, curves are 1-dimensional, surfaces are 2-dimensional, and solids are 3-dimensional.

  Specified by:
    `getDimension` in interface `Geometry`
  Returns:
    the for this geometry defined dimension.

### getCoordinateDimension

    public int getCoordinateDimension()

  The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.

  Specified by:
    `getCoordinateDimension` in interface `Geometry`
  Returns:
    the actual dimension

### clone

    public Object clone()

  Overrides:
    `clone` in class `GeometryImpl`
  Returns:
    a shallow copy of the geometry

### getStartPoint

    public Position getStartPoint()

  returns the StartPoint of the boundary

  Specified by:
    `getStartPoint` in interface `CurveBoundary`
  Returns:
    the start position of a boundary

### getEndPoint

    public Position getEndPoint()

  returns the EndPoint of the boundary

  Specified by:
    `getEndPoint` in interface `CurveBoundary`
  Returns:
    the end position of a boundary

### equals

    public boolean equals(Object other)

  checks if this curve is completely equal to the submitted geometry

  Overrides:
    `equals` in class `GeometryImpl`
  Parameters:
    `other` - object to compare to
  Returns:
    true if the objects are equal, else false

### intersects

    public boolean intersects(Geometry gmo)

  The Boolean valued operation "intersects" shall return TRUE if this Geometry intersects another Geometry. Within a Complex, the Primitives do not intersect one another. In general, topologically structured data uses shared geometric objects to capture intersection information.

  Specified by:
    `intersects` in interface `Geometry`
  Overrides:
    `intersects` in class `GeometryImpl`
  Parameters:
    `gmo` - the Geometry to intersect with
  Returns:
    true if the objects intersects, else false

### calculateParam

    protected void calculateParam()

  calculates the envelope of the curve boundary

  Specified by:
    `calculateParam` in class `GeometryImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `GeometryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org